//+------------------------------------------------------------------+
//|                                      Auto Regression Channel.mq4 |
//|                                 Copyright  2012, Michael Edward |
//|                                              fxfx95@yahoo.com    |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Michael Edward"
#property link      "fxfx95@yahoo.com"

#property indicator_chart_window

extern color small_color=Maroon;
extern color big_color=MidnightBlue;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
ObjectsDeleteAll(0, OBJ_REGRESSION);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectsDeleteAll(0, OBJ_REGRESSION);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
ObjectsDeleteAll(0, OBJ_REGRESSION);

   int    counted_bars=IndicatorCounted();
//----
      draw_1("1hr_small", iTime(Symbol(),PERIOD_D1,1), iTime(Symbol(),PERIOD_D1,0) ,small_color);
      draw_1("1hr_big", iTime(Symbol(),PERIOD_D1,2), iTime(Symbol(),PERIOD_D1,0) ,big_color);

      draw_4("4hr_small", Time[iBarShift(Symbol(), PERIOD_H4, iTime(Symbol(),PERIOD_W1,1))-1], Time[iBarShift(Symbol(), PERIOD_H4, iTime(Symbol(),PERIOD_W1,0))-1] ,small_color);
      draw_4("4hr_big", Time[iBarShift(Symbol(), PERIOD_H4, iTime(Symbol(),PERIOD_W1,2))-1], Time[iBarShift(Symbol(), PERIOD_H4, iTime(Symbol(),PERIOD_W1,0))-1] ,big_color);

      draw_daily("daily_small", iTime(Symbol(),PERIOD_MN1,1), iTime(Symbol(),PERIOD_MN1,0) ,small_color);
      draw_daily("daily_big", iTime(Symbol(),PERIOD_MN1,2), iTime(Symbol(),PERIOD_MN1,0) ,big_color);

//----
   return(0);
  }
  

//---------------------------------------------------------------------------------------------------------
void draw_1(string name,datetime T1,datetime T2,color Coloree)
    {
         ObjectCreate(name, OBJ_REGRESSION, 0,T1,0,T2,0);
         ObjectSet(name, OBJPROP_COLOR, Coloree);
         ObjectSet(name, OBJPROP_BACK, true);
          ObjectSet(name, OBJPROP_RAY, true);
          ObjectSet(name,OBJPROP_TIMEFRAMES, OBJ_PERIOD_H1);
    }  

void draw_4(string name,datetime T1,datetime T2,color Coloree)
    {
         ObjectCreate(name, OBJ_REGRESSION, 0,T1,0,T2,0);
         ObjectSet(name, OBJPROP_COLOR, Coloree);
         ObjectSet(name, OBJPROP_BACK, true);
          ObjectSet(name, OBJPROP_RAY, true);
          ObjectSet(name,OBJPROP_TIMEFRAMES, OBJ_PERIOD_H4);
    }  

void draw_daily(string name,datetime T1,datetime T2,color Coloree)
    {
         ObjectCreate(name, OBJ_REGRESSION, 0,T1,0,T2,0);
         ObjectSet(name, OBJPROP_COLOR, Coloree);
         ObjectSet(name, OBJPROP_BACK, true);
          ObjectSet(name, OBJPROP_RAY, true);
          ObjectSet(name,OBJPROP_TIMEFRAMES, OBJ_PERIOD_D1);
    }  
//+------------------------------------------------------------------+